Name:           ocaml-libaio
Version:        1.0
Release:        %mkrel 9
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/libaio-ocaml/
Source0:        http://forge.ocamlcore.org/frs/download.php/818/libaio-ocaml_%{version}.orig.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libaio-devel
BuildRequires:  tetex-latex
BuildRequires:  gzip
Requires: libaio-devel

%description
This OCaml-library interfaces the libaio (Linux kernel AIO access
library) C library. It enables ocaml programs to use Linux kernel
fast asynchronous I/O system calls, important for the performance
of databases and other advanced applications.

Compared with the OCaml standard and Unix I/O functions this library:
 * does not block
 * does I/O in the background
 * calls a continuation when the I/O has completed

%package devel
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n libaio-ocaml-%{version}

%build
make
make doc
gzip --best lib/doc/aio/latex/doc.ps

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install OCAMLFIND_INSTFLAGS="-ldconf ignore"

%files
%doc LICENSE CHANGES README.txt
%dir %{_libdir}/ocaml/aio
%{_libdir}/ocaml/aio/META
%{_libdir}/ocaml/aio/*.cma
%{_libdir}/ocaml/aio/*.cmi
%{_libdir}/ocaml/aio/*.so*

%files devel
%doc examples/
%doc lib/doc/aio/html/
%doc lib/doc/aio/latex/*.{dvi,pdf,ps.gz}
%{_libdir}/ocaml/aio/*.a
%{_libdir}/ocaml/aio/*.mli
%{_libdir}/ocaml/aio/*.cmxa


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.0-9.mga6
+ Revision: 1056417
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 1.0-8.mga6
+ Revision: 963864
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 751199
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 683059
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 508473
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-4.mga3
+ Revision: 361438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0-3.mga3
+ Revision: 301666
- new rpm group for ocaml

* Tue Mar 27 2012 malo <malo> 1.0-2.mga2
+ Revision: 227193
- add missing Requires to libaio-devel

* Sun Mar 25 2012 blue_prawn <blue_prawn> 1.0-1.mga2
+ Revision: 226213
- imported package from Mandriva


* Sat Mar 24 2012 Florent Monnier <blue_prawn@mandriva.org>
- updated to new verion 1.0

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420307
- renamed the package (to remove redundancy)

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420306
- more uniform name

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420305
- more uniform name

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390245
- rebuild

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 334157
- corrected group

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 334114
- import ocaml-libaio-ocaml
